package com.ruoyi.demo.controller;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.demo.entity.Store;
import com.ruoyi.demo.entity.bo.StoreBo;
import com.ruoyi.demo.entity.vo.StoreVo;
import com.ruoyi.demo.service.StoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;

@RestController
@RequestMapping("/store")
public class StoreController {
    @Autowired
    StoreService storeService;
    @PostMapping("/addStore")
    public R addStore(@Validated(value = {AddGroup.class})StoreVo storeVo){
        storeService.addStore(storeVo);
        return R.ok();
    }

    @PutMapping("/updateStore")
    public R updateStore(@Validated(value = {AddGroup.class})StoreVo storeVo){
        storeService.updateStore(storeVo);
        return R.ok();
    }

    @DeleteMapping("/deleteStore")
    public R deleteStore(String[] storeIds){
        storeService.deleteStore(storeIds);
        return R.ok();
    }

    @GetMapping("/getStoreTree")
    public R getStoreTree(StoreVo storeVo){
        HashMap storeList = storeService.getStoreList(storeVo);
        return R.ok(storeList);
    }

    @GetMapping("/getStore")
    public R getStore(String storeId){
        Store store = storeService.getStore(storeId);
        return R.ok(store);
    }


}
